version: "3"
services:
  task_ui:
    build: "task_ui"
    volumes:
      - "./task_ui:/work"

  task_api:
    build: "task_api"
    volumes:
      - "./task_api/app:/work"
      - "./task_api/data:/data"

  task_proxy:
    build: "task_proxy"
    depends_on:
      - "task_api"
      - "task_ui"
    ports:
      - "8080:8080"
    links:
      - "task_api"
    volumes:
      - "./task_proxy/nginx:/web/nginx/"
      - "./task_ui/dist:/web/data"
